Bug Hunting Session
Bug 79228 - CRASH: LibO crashes when paste a formula from other languages
Summary: CRASH: LibO crashes when paste a formula from other languages
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: Eike Rathke
URL:
Whiteboard: target:4.3.0
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-05-25 20:39 UTC by Marina Latini (CIB)
Modified: 2014-05-27 06:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (9.20 KB, text/plain)
2014-05-25 21:03 UTC, Julien Nabet
Details
valgrind log (10.40 KB, text/x-log)
2014-05-26 15:15 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marina Latini (CIB) 2014-05-25 20:39:21 UTC
LibreOffice crash when paste a formula in a cell. 

LibreOffice is installed with a fresh user profile.
Version: 4.3.0.0.beta1
Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
OS: Ubuntu 13.10 x86_64
Italian langpack and helppack installed.

Step to reproduce the bug:

1) Open Calc
2) Try to paste the formula =SUM(A1:B2) 
The "import options" dialog appear
3) click Ok --> LibreOffice Crashes

The paste works without crash on:
Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
on the same OS and arch with Italian helppack and langpack.
Comment 1 Julien Nabet 2014-05-25 21:03:47 UTC
Created attachment 99803 [details]
bt with symbols

On pc Debian x86-64 with master sources updated 3 days ago, I can reproduce this.
I attached bt with symbols
Comment 2 Julien Nabet 2014-05-25 21:10:15 UTC
Indeed, with English UI, it's ok, with French UI, crash too.

Eike: Calc + language/localization, one for you?
Comment 3 Eike Rathke 2014-05-26 13:52:41 UTC
I could reproduce with a German UI. Apparently an access to an invalidated ScPatternAttr, investigating.
Comment 4 Caolán McNamara 2014-05-26 15:15:45 UTC
Created attachment 99878 [details]
valgrind log
Comment 5 Eike Rathke 2014-05-26 23:43:06 UTC
Actually the UI language doesn't matter, reproducible also with English UI.
Comment 6 Commit Notification 2014-05-26 23:46:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1dedadbf0d87a1db24e9b336257678e059882f0

resolved fdo#79228 resync ScPatternAttr if changed in GetNeededSize()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-26 23:47:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1baac7f17b024b15d79bbb9e89e68b2863c150e9&h=libreoffice-4-3

resolved fdo#79228 resync ScPatternAttr if changed in GetNeededSize()


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Marina Latini (CIB) 2014-05-27 06:47:15 UTC
Fix verified in

Version: 4.4.0.0.alpha0+
Build ID: a1dedadbf0d87a1db24e9b336257678e059882f0
TinderBox: Linux-rpm_deb-x86_64@46-TDF
Branch:master 
Time: 2014-05-27_00:04:45

OS: Ubuntu 13.10 x86_64